NVPTX-NONE-AS(1)

NAME
nvptx-none-as - "assembler" for PTX

SYNOPSIS
nvptx-none-as [option...] [asmfile]

OPTIONS

-m TARGET
    Override target architecture used for verification (default: deduce from input's preamble)

-o FILE
    Write output to FILE

-v  Be verbose

--verify
    Verify output for PTX compliance

[default]
    If possible, verify output for PTX compliance

--no-verify
    Don't verify output for PTX compliance

--help
    Print this help and exit

--version
    Print version number and exit

REPORTING BUGS
Report bugs to <https://github.com/SourceryTools/nvptx-tools/issues>.

COPYRIGHT
Copyright © 2026 The nvptx-tools Developers License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> This program is free software; you may redistribute it under the terms of the GNU General Public License version 3 or later. This program has absolutely no warranty.